#include <Locale.h>
#include <NumberFormat.h>
#include <String.h>
#include <StringForSize.h>
#include <StringFormat.h>

#include <stdio.h>


#undef B_TRANSLATION_CONTEXT
#define B_TRANSLATION_CONTEXT "App"


int
main()
{
	BLocale locale;
	BNumberFormat format(&locale);
	BString decimal(format.GetSeparator(B_DECIMAL_SEPARATOR));
	BString grouping(format.GetSeparator(B_GROUPING_SEPARATOR));
	printf("BNumberFormat separators: decimal: %s\t1000: %s\n\n", decimal.String(), grouping.String());


	size_t value = 1024;
	char sizeBuffer[128];
	BString buffer = string_for_size(value, sizeBuffer,	sizeof(sizeBuffer));
	printf("string_for_size: %s\n", buffer.String());


	BString result;
	static BStringFormat sizeFormat("{0, plural, one{(# byte)} other{(# bytes)}}");
	sizeFormat.Format(result, value);
	printf("BStringFormat: %s\n", result.String());

	return 0;
}
